module SidekiqFork
  class ForkMiddleware
    def call(worker, _item, _queue)
      unless worker.class.get_sidekiq_options['fork']
        return yield
      end

      pid = Process.fork { yield }
      Process.wait(pid)
    end
  end
end
